{
    "$graph": [
        {
            "id": "#cat",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "id": "#cat/file1"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "id": "#cat/file2"
                }
            ],
            "baseCommand": "cat",
            "stdout": "out.txt",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "out.txt"
                    },
                    "id": "#cat/fileout"
                }
            ]
        },
        {
            "class": "Workflow",
            "id": "#main",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/input_1"
                },
                {
                    "type": "string",
                    "id": "#main/input_2"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/cat_step/fileout",
                    "id": "#main/fileout"
                }
            ],
            "steps": [
                {
                    "run": "#cat",
                    "in": [
                        {
                            "source": "#main/echo_1/fileout",
                            "id": "#main/cat_step/file1"
                        },
                        {
                            "source": "#main/echo_2/fileout",
                            "id": "#main/cat_step/file2"
                        }
                    ],
                    "out": [
                        "#main/cat_step/fileout"
                    ],
                    "id": "#main/cat_step"
                },
                {
                    "run": "#echo",
                    "in": [
                        {
                            "source": "#main/input_1",
                            "id": "#main/echo_1/text"
                        }
                    ],
                    "out": [
                        "#main/echo_1/fileout"
                    ],
                    "id": "#main/echo_1"
                },
                {
                    "run": "#echo",
                    "in": [
                        {
                            "source": "#main/input_2",
                            "id": "#main/echo_2/text"
                        }
                    ],
                    "out": [
                        "#main/echo_2/fileout"
                    ],
                    "id": "#main/echo_2"
                }
            ]
        },
        {
            "id": "#echo",
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "inputBinding": {},
                    "id": "#echo/text"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "out.txt"
                    },
                    "id": "#echo/fileout"
                }
            ],
            "baseCommand": "echo",
            "stdout": "out.txt"
        }
    ],
    "cwlVersion": "v1.1"
}
